# Content Insights Report Group

This module extends the Content Insights Report functionality to provide
group-specific content analysis. It generates reports for individual groups,
giving you insights into the content performance and status within each
group context.

## Table of contents

- Requirements
- Installation
- Configuration
- Troubleshooting & FAQ
- Maintainers
- Changelog

## Requirements

This module requires the following modules:

- **content_insights_report** The base module must be installed
- **group** Group module for group functionality
- **gnode** Group Node module for node-group relationships
- **node** Report is based on node content data
- **content_moderation** Not required, but if enabled, moderation state data
will be included when settings are enabled

## Installation

This module is included with the main Content Insights Report module. 
No additional installation is required.

## Configuration

**Configuration:**

Navigate to Configuration > Content authoring > Content Insights Report Group
using the Admin Toolbar.

Alternatively, you can also use this link:
/admin/config/content/content_insights_report_group/settings

Available settings:
- Show/Hide summary section
- Show/Hide insights report
- Show/Hide workflow moderation state report
- Show/Hide created by and date information
- Show/Hide empty results
- Number of months to display in insights
- Percentage calculation basis (all nodes, published nodes, unpublished nodes)
- Sort options
- Print functionality

**Accessing Group Reports:**

Group reports can be accessed through:
- Group pages
- Direct URL: /group/{group_id}/content-insights-report
- Requires appropriate group permissions and membership

## Troubleshooting & FAQ

Q: Why can't I see the Group report?

A: Check the following:
1. You have the required permissions:
   - 'view content_insights_report_group report'
   - 'administer content_insights_report_group settings'
2. You are a member of the group
3. The group has content associated with it

Q: How do I grant access to group reports?

A: Configure permissions at:
/admin/people/permissions/module/content_insights_report_group

## Maintainers

Current maintainers:

- [Kobus van Wyk (kobusvw)](https://www.drupal.org/u/kobusvw)

## Changelog

- **2025/03/09** - Add Total number of nodes, published and unpublished
- **2025/03/09** - Add Show/Hide on empty results (if no results are found, 
remove section from the report)
- **2025/03/09** - Change link to content to custom content page, Page will 
include date filters (created, changed & revision) Only Edit button will be 
available.
- **2025/03/09** - Add revision count to report
- **2025/03/09** - Change yes/no config fields to checkbox
- **2025/03/09** - Update styling of both reports.
